Target audience lists
Associate Customers To Target Audience List
Add customers to a target audience list.
Authorization
clientKeyHeader clientSecretHeader x-client-key<token>
Client API key credential.
In: header
x-client-secret<token>
Client API secret credential.
In: header
Path Parameters
projectId*string
targetAudienceListId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
customerIds*array<string>
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.dokaai.com/api/v1/dokaai/nudge/projects/string/target-audience-lists/string/customers" \ -H "Content-Type: application/json" \ -d '{ "customerIds": [ "string" ] }'{
"status": "success",
"message": "string",
"data": {
"targetAudienceListId": "string"
},
"metaData": null,
"error": null
}{
"status": "error",
"message": "string",
"data": null,
"metaData": null,
"error": null
}{
"status": "error",
"message": "string",
"data": null,
"metaData": null,
"error": null
}{
"status": "error",
"message": "string",
"data": null,
"metaData": null,
"error": null
}{
"status": "error",
"message": "string",
"data": null,
"metaData": null,
"error": null
}